/*
 * NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDepEmpiezaCero.java
 *
 * Created on 7 de abril de 2007, 03:01 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 
 * @author Julian
 */
public class NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDepEmpiezaCero extends AbstractRule {

	private final Pattern pattern;

	public NoCoincideLongitudoTipoCampoAlfanumericoNumericoObligatorioDepEmpiezaCero() {
            String patternStr = "[^A-Z0-9/Ñ]";
            pattern = Pattern.compile(patternStr);
	}

        @Override
	public boolean performValidation(String field, String registro[],String nombreArchivo) {

		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {
			if (field.length() < new Integer((String) getParams()[2])
					.intValue()
					|| field.length() > new Integer((String) getParams()[3])
							.intValue())
				return true;
			if (field.charAt(0) == ('0')) {
				return true;
			}
			Matcher matcher = pattern.matcher(field);
			return matcher.find();

		}

		return false;
	}

}
